Skip to main content
GET
Get User

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

user_id
string
required

The User Id

Query Parameters

readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

role
string
required

The user's role: admin, user, contributor, inference-user, or custom. When set to "custom", the user's permissions are governed by permission_preset.

name
string
read-only
displayName
string

Human-readable display name of the user. e.g. "Alice" Must be fewer than 64 characters long.

serviceAccount
boolean
createTime
string<date-time>
read-only

The creation time of the user.

email
string

The user's email address.

state
enum<string>
default:STATE_UNSPECIFIED
read-only

The state of the user.

Available options:
STATE_UNSPECIFIED,
CREATING,
READY,
UPDATING,
DELETING
status
Mimics [https://github.com/googleapis/googleapis/blob/master/google/rpc/status.proto] · object
read-only

Contains information about the user status.

updateTime
string<date-time>
read-only

The update time for the user.

permissionPreset
string

The permission preset for this user. Only valid when role is "custom".